summaryrefslogtreecommitdiff
path: root/release/src/router/busybox/shell/ash_test/ash-signals/signal3.tests
diff options
context:
space:
mode:
Diffstat (limited to 'release/src/router/busybox/shell/ash_test/ash-signals/signal3.tests')
-rwxr-xr-xrelease/src/router/busybox/shell/ash_test/ash-signals/signal3.tests17
1 files changed, 17 insertions, 0 deletions
diff --git a/release/src/router/busybox/shell/ash_test/ash-signals/signal3.tests b/release/src/router/busybox/shell/ash_test/ash-signals/signal3.tests
new file mode 100755
index 00000000..b56c2d97
--- /dev/null
+++ b/release/src/router/busybox/shell/ash_test/ash-signals/signal3.tests
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+$THIS_SH -c '
+hup() {
+ echo "child got HUP"
+}
+trap hup HUP
+echo "child sleeps"
+sleep 1
+echo "child exits"
+' &
+
+child=$!
+sleep 0.1 # let child install handler first
+kill -HUP $child
+wait
+echo "parent exits"